#pragma once

namespace Utils {
	class Auth {
	public:
		inline static SOCKET clientsocket;
		inline static int laststatus = 0;
		inline static bool local = false;

		static auto start() -> bool;
		static auto end() -> void;

		static auto login(std::string token, std::string key, std::string username) -> bool;
		static auto create(std::string token, std::string key, std::string username) -> bool;
		static auto readfile(std::string path) -> bool;
	};
}
